Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.33
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://www.musicpd.org/download/ncmpc/0/%{name}-%{version}.tar.xz
# Source0-md5:	166394cf1ab645de219bd1d525930343
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	boost-devel
BuildRequires:	gcc-c++ >= 6:5
BuildRequires:	gettext-tools
BuildRequires:	libmpdclient-devel >= 2.9
BuildRequires:	meson >= 0.47
BuildRequires:	ncurses-devel
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.727
BuildRequires:	sphinx-pdg
Requires:	libmpdclient >= 2.9
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q

%build
%meson build \
	--mandir=%{_datadir} \
	-Dchat_screen=true \
	-Dcolors=true \
	-Ddocumentation=enabled \
	-Dhelp_screen=true \
	-Dkey_screen=true \
	-Dlocale=enabled \
	-Dlyrics_screen=true \
	-Dmanual=true \
	-Dmouse=enabled \
	-Doutputs_screen=true \
	-Dsearch_screen=true \
	-Dsong_screen=true \
	-Dlirc=disabled

%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -j1 -C build

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.rst doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*
%changelog
* Tue Oct 23 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpc.git;a=log;h=master

* Mon Oct 22 2018 Jan Palus <atler@pld-linux.org> 2e627c6
- up to 0.33

* Sun Oct 07 2018 Jan Palus <atler@pld-linux.org> 74410fe
- up to 0.32

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> b919dc1
- rel 2

* Sat Sep 22 2018 Jan Palus <atler@pld-linux.org> 6ed7662
- try non-parallel build

* Wed Sep 19 2018 Jan Palus <atler@pld-linux.org> aa48b90
- up to 0.31

* Wed Apr 04 2018 Jan Palus <atler@pld-linux.org> 5258754
- up to 0.30

* Sun Nov 05 2017 Jan Palus <atler@pld-linux.org> d100100
- up to 0.29

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 759661f
- up to 0.28

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> 486bea3
- up to 0.27

* Mon Mar 20 2017 Jan Palus <atler@pld-linux.org> a0665cc
- up to 0.26

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> 579cc71
- up to 0.25

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b826a6b
- updated gettext BR

* Tue Jul 15 2014 Jan Palus <atler@pld-linux.org> b2b81a4
- updated to 0.24
- updated source url
- updated BRs
- tinfo patch no longer needed
- provided missing AX_REQUIRE_DEFINED macro
- explicitly enable features

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e7aec16
- release 2

* Tue Sep 28 2010 lisu <lisu@pld-linux.org> a53dcc8
- 0.18

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> b35eaca
- link with -ltinfo

* Mon Jul 19 2010 lisu <lisu@pld-linux.org> f8b471a
- 0.17
- fix linking (-tinfo.patch)

* Wed Jan 20 2010 lisu <lisu@pld-linux.org> cc4d213
- up to 0.16.1

* Mon Jan 11 2010 sparky <sparky@pld-linux.org> 23604b6
- BR: gettext-devel, pkgconfig, rpm-pythonprov

* Mon Jan 11 2010 Krzysztof Krakowiak <evil@pld-linux.org> 31d2e32
- adapterized
- build and package lyrics plugins

